import java.util.Arrays;

public class AsListDemo
{
  public static void main( String[] args )
  {
    // Index         0                1          2               
    String[] a = { "Asus",       "Elitegroup", "MSI" };
    String[] b = { "Elitegroup", "MSI",        "Shuttle" };
    
    System.out.println( Arrays.asList( a ).subList( 1, 3 ).
                        equals( Arrays.asList( b ).subList( 0, 2 ) ) ); // true
  }
}
